View Issue Details

IDProjectCategoryView StatusLast Update
14547Bug reports[All Projects] _ Unknownpublic2019-04-30 09:11
Reporterrealitix Assigned Todominikvitt  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14547: PHP error with Question L on statistic page with simple mode
Description

Hello,

I found a bug in the statistic computation.
I'm sending the pull request to fix it.

It's similar to bug 14490.

Steps To Reproduce
  1. Put limesurvey in debug mode (mandatory)
  2. Create a survey with only one group and one question of type L (radio button)
  3. Fill subquestion like this:

A1 ; Question 1
A2 ; Question 2
A3 ; Question 3
A4 ; Question 4
Autre ; Question buggée

  1. Activate the survey and fill it several times (at least one time the "Autre" answer)
  2. Go to the statistic page and click on "Simple mode"

Php Crash!

TagsNo tags attached.
Complete LimeSurvey version number (& build)master 3.15.9
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version0
Server OS (if known)
Webserver software & version (if known)
PHP Version0

Relationships

related to 14548 closeddominikvitt PHP error with Question L with public statistic 

Activities

realitix

realitix

2019-02-19 09:43

reporter   ~50617

Here the pull request: https://github.com/LimeSurvey/LimeSurvey/pull/1225

dominikvitt

dominikvitt

2019-02-19 18:26

developer   ~50641

Please upload test .lsa or .lss file.

realitix

realitix

2019-02-22 11:20

reporter   ~50669

Hello, here the .lss file.
Don't forget to put Limesurvey in debug



limesurvey_survey_616274.lss (16,973 bytes)
dominikvitt

dominikvitt

2019-02-22 14:35

developer   ~50674

PR is merged.
https://github.com/LimeSurvey/LimeSurvey/commit/9ed2bdeda1b00060317eac1425495785d18a73cc

Issue History

Date Modified Username Field Change
2019-02-19 09:41 realitix New Issue
2019-02-19 09:43 realitix Note Added: 50617
2019-02-19 18:26 dominikvitt Note Added: 50641
2019-02-22 11:20 realitix File Added: limesurvey_survey_616274.lss
2019-02-22 11:20 realitix Note Added: 50669
2019-02-22 12:15 DenisChenu Relationship added related to 14548
2019-02-22 14:35 dominikvitt Assigned To => dominikvitt
2019-02-22 14:35 dominikvitt Status new => resolved
2019-02-22 14:35 dominikvitt Resolution open => fixed
2019-02-22 14:35 dominikvitt Fixed in Version => 3.15.x
2019-02-22 14:35 dominikvitt Note Added: 50674
2019-04-30 09:11 c_schmitz Status resolved => closed